# Uses of Class
org.codehaus.janino.Java.InterfaceDeclaration

Packages that use Java.InterfaceDeclaration
Package
Description
org.codehaus.janino
The core of the Janino Java compiler.
org.codehaus.janino.samples
Sample applications for the Janino Java compiler.
org.codehaus.janino.util
Application-independent helper classes.

## Uses of Java.InterfaceDeclaration in org.codehaus.janino

Subclasses of Java.InterfaceDeclaration in org.codehaus.janino
Modifier and Type
Class
Description
`static final class`
`Java.MemberAnnotationTypeDeclaration`
Representation of a member annotation type declaration, a.k.a.
`static class`
`Java.MemberInterfaceDeclaration`
Representation of a "member interface declaration", i.e.
`static final class`
`Java.PackageMemberAnnotationTypeDeclaration`
Representation of a package member annotation type declaration, a.k.a.
`static class`
`Java.PackageMemberInterfaceDeclaration`
Representation of a "package member interface declaration", a.k.a.
Methods in org.codehaus.janino that return Java.InterfaceDeclaration
Modifier and Type
Method
Description
`Java.InterfaceDeclaration`
Parser.`parseInterfaceDeclarationRest(String docComment, Java.Modifier[] modifiers, Parser.InterfaceDeclarationContext context)`
InterfaceDeclarationRest := Identifier [ typeParameters ] [ 'extends' ReferenceTypeList ] InterfaceBody
Methods in org.codehaus.janino with parameters of type Java.InterfaceDeclaration
Modifier and Type
Method
Description
`void`
Parser.`parseInterfaceBody(Java.InterfaceDeclaration interfaceDeclaration)`
InterfaceBody := '{' { ';' | ModifiersOpt ( 'void' Identifier MethodDeclarationRest | 'class' ClassDeclarationRest | 'interface' InterfaceDeclarationRest | Type Identifier ( MethodDeclarationRest | FieldDeclarationRest ) ) } '}'

## Uses of Java.InterfaceDeclaration in org.codehaus.janino.samples

Methods in org.codehaus.janino.samples with parameters of type Java.InterfaceDeclaration
Modifier and Type
Method
Description
`void`
DeclarationCounter.`traverseInterfaceDeclaration(Java.InterfaceDeclaration id)`

## Uses of Java.InterfaceDeclaration in org.codehaus.janino.util

Methods in org.codehaus.janino.util with parameters of type Java.InterfaceDeclaration
Modifier and Type
Method
Description
`void`
AbstractTraverser.`traverseInterfaceDeclaration(Java.InterfaceDeclaration id)`
`void`
Traverser.`traverseInterfaceDeclaration(Java.InterfaceDeclaration id)`